/*
 * Main function for Generic Server Application
 * $Id: RunServer.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1996 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package cs101.net;

/**
 * Runs a server application that broadcasts incoming information to all
 * connected clients (except source of information).
 *
 * <P>Copyright (c) 1998 Massachusetts Institute of Technology
 *
 * @see cs101.net.Server
 *
 * @author Lynn Andrea Stein, las@ai.mit.edu
 * @version $Id: RunServer.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 */
public class RunServer {
  public static void main( String[] argv ){
    new Server();
  }

  /**
   * Prevent instantiation
   */
  private RunServer() {}
}

/* Comments:
 *
 * History:
 *     $Log: RunServer.java,v $
 *     Revision 1.1.1.1  2002/06/05 21:56:32  root
 *     CS101 comes to Olin finally.
 *
 *     Revision 1.5  2000/04/24 22:17:13  nathanw
 *     Bulk reorganization
 *
 *     Revision 1.4  1998/07/24 17:13:44  tparnell
 *     Placate new javadoc behavior
 *
 *     Revision 1.3  1998/07/22 18:18:06  tparnell
 *     move from util to net
 *
 *     Revision 1.2  1998/07/21 19:40:54  tparnell
 *     added private RunServer()
 *
 *     Revision 1.1  1998/03/13 22:18:20  tparnell
 *     Import from server crash.  I think the src and class files match up.
 *
 *     Revision 1.1  1996/11/18 17:25:04  las
 *     Added revised SharedWhiteboard support classes.  These versions of
 *     Client and Server supercede the previous ones and are not directly
 *     backwards compatible.  In particular, Server is an instantiable class
 *     rather than a primarily static one (use RunServer to run it), and
 *     Client uses StringHandler rather than subclassing to specialize it.
 *     Line.java just picked up some obscure documentation along the way.
 *     Otherwise, classes are direct imports from SharedWhiteboard.
 *
 *     Revision 1.1  1996/11/17 20:43:20  las
 *     Server, RunServer written, not tested.  Need to be moved to
 *     cs101.util....
 *
 */

