/*
 * cs101 gameControllable interface
 * $Id: GameControllable.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1999 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */
package cs101.util.gamecontrol;

import cs101.util.*;

/**
 * This interface defines the behavior for a game controller.  It is 
 * designed with cs101.awt.DefaultGameFrame in mind.
 */
public interface GameControllable extends Startable, 
                                   Stoppable, 
                                   Resettable, 
                                   Pausable
{}


/*
 * $Log: GameControllable.java,v $
 * Revision 1.1.1.1  2002/06/05 21:56:32  root
 * CS101 comes to Olin finally.
 *
 * Revision 1.1  2000/04/24 22:17:16  nathanw
 * Bulk reorganization
 *
 * Revision 1.2  1999/08/11 14:52:55  jsmthng
 * Made the interface 'public'.
 *
 * Revision 1.1  1999/07/27 18:55:55  las
 * Patched up DefaultFrame (mostly docs) and DefaultGameFrame (aesthetics
 * and docs).
 *
 * Capitalized the name of the GameControllable interface.
 *
 * Moved the other four interfaces (Pausable, Resetable, Startable,
 * Stoppable) to cs101.util as they really have nothing to do w/awt or
 * windowing in particular.
 *
 * Also, added unpause() to Pausable as it doesn't make much sense to be
 * able to pause but not unpause something.
 *
 */
